searchData={"items":[{"type":"module","title":"JwtArmor","doc":"Documentation for `JwtArmor`.\n\nJwtArmor wraps the Joken package to make it simpler to use with the security best practices.","ref":"JwtArmor.html"},{"type":"function","title":"JwtArmor.generate/2","doc":"Generate the token for a given config and any extra info you need.\n\n```\nconfig = %JwtArmor.Config{\n  signer: %JwtArmor.Config.Signer{\n    algorithm: \"HS256\",\n    secret: \"my secret key\"\n  },\n  claims: %JwtArmor.Config.Claims{\n    exp: 60 * 60, # 1 hour\n    aud: \"the-audience\",\n    iss: \"the-issuser\"\n  }\n}\n\n{ok, token, claims} = JwtArmor.generate(config, %{\"extra_id\" => \"any id\"})\n```","ref":"JwtArmor.html#generate/2"},{"type":"function","title":"JwtArmor.validate/2","doc":"Validate the token by a given signer.\n\n```\ntoken = \"a token example\"\n\nclaims = %JwtArmor.Config.Claims{\n  exp: 60 * 60, # 1 hour\n  aud: \"the-audience\",\n  iss: \"the-issuser\"\n}\n\n{ok, claim_maps} = JwtArmor.validate(token, claims)\n# if \"ok\" is an :error the \"claim_maps\" contains the error message\n```","ref":"JwtArmor.html#validate/2"},{"type":"function","title":"JwtArmor.verify/2","doc":"Verify the token by a given signer.\n\n```\ntoken = \"a token example\"\n\nsigner = %JwtArmor.Config.Signer{\n  algorithm: \"HS256\",\n  secret: \"my secret key\"\n}\n\n{ok, claims} = JwtArmor.verify(token, signer)\n# if \"ok\" is an :error the \"claims\" contains the error message\n```","ref":"JwtArmor.html#verify/2"},{"type":"function","title":"JwtArmor.verify_and_validate/2","doc":"Verify and validate the token by a given config.\n\n```\ntoken = \"a token example\"\n\nconfig = %JwtArmor.Config{\n  signer: %JwtArmor.Config.Signer{\n    algorithm: \"HS256\",\n    secret: \"my secret key\"\n  },\n  claims: %JwtArmor.Config.Claims{\n    exp: 60 * 60, # 1 hour\n    aud: \"the-audience\",\n    iss: \"the-issuser\"\n  }\n}\n\n{ok, claims} = JwtArmor.verify_and_validate(token, config)\n# if \"ok\" is an :error the \"claims\" contains the error message\n```","ref":"JwtArmor.html#verify_and_validate/2"},{"type":"module","title":"JwtArmor.Config","doc":"","ref":"JwtArmor.Config.html"},{"type":"module","title":"JwtArmor.Config.Claims","doc":"","ref":"JwtArmor.Config.Claims.html"},{"type":"module","title":"JwtArmor.Config.Signer","doc":"","ref":"JwtArmor.Config.Signer.html"}],"content_type":"text/markdown"}